Export project compositions
curl --request POST \
--url https://api.motion.so/api/motion/projects/{id}/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"composition_ids": [
"9d2f19e2-2366-46bd-8963-869c340f723a:film"
],
"format": "mp4"
}
'import requests
url = "https://api.motion.so/api/motion/projects/{id}/exports"
payload = {
"composition_ids": ["9d2f19e2-2366-46bd-8963-869c340f723a:film"],
"format": "mp4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({composition_ids: ['9d2f19e2-2366-46bd-8963-869c340f723a:film'], format: 'mp4'})
};
fetch('https://api.motion.so/api/motion/projects/{id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/projects/{id}/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'composition_ids' => [
'9d2f19e2-2366-46bd-8963-869c340f723a:film'
],
'format' => 'mp4'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/projects/{id}/exports"
payload := strings.NewReader("{\n \"composition_ids\": [\n \"9d2f19e2-2366-46bd-8963-869c340f723a:film\"\n ],\n \"format\": \"mp4\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.motion.so/api/motion/projects/{id}/exports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"composition_ids\": [\n \"9d2f19e2-2366-46bd-8963-869c340f723a:film\"\n ],\n \"format\": \"mp4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/projects/{id}/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"composition_ids\": [\n \"9d2f19e2-2366-46bd-8963-869c340f723a:film\"\n ],\n \"format\": \"mp4\"\n}"
response = http.request(request)
puts response.read_body{
"exports": [
{
"generation_id": "9d2f19e2-2366-46bd-8963-869c340f723a",
"id": "46ed7444-a055-462b-9c17-0a2cdd5ca393",
"project_id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"format": "mp4",
"created_at": "2026-11-17T20:00:00Z",
"status": "preparing",
"progress": 0,
"stage": "preparing",
"warnings": [],
"error": null,
"download_url": null,
"expires_at": null,
"origin": "api",
"created_by": "bfa220bc-731d-4d9a-a6bf-e7da483f52ca",
"created_by_you": true,
"composition_ids": [
"9d2f19e2-2366-46bd-8963-869c340f723a:film"
],
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb"
}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Exports
Create a project export
Export the selected compositions. Each gets a separate export in the requested format.
POST
/
projects
/
{id}
/
exports
Export project compositions
curl --request POST \
--url https://api.motion.so/api/motion/projects/{id}/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"composition_ids": [
"9d2f19e2-2366-46bd-8963-869c340f723a:film"
],
"format": "mp4"
}
'import requests
url = "https://api.motion.so/api/motion/projects/{id}/exports"
payload = {
"composition_ids": ["9d2f19e2-2366-46bd-8963-869c340f723a:film"],
"format": "mp4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({composition_ids: ['9d2f19e2-2366-46bd-8963-869c340f723a:film'], format: 'mp4'})
};
fetch('https://api.motion.so/api/motion/projects/{id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/projects/{id}/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'composition_ids' => [
'9d2f19e2-2366-46bd-8963-869c340f723a:film'
],
'format' => 'mp4'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/projects/{id}/exports"
payload := strings.NewReader("{\n \"composition_ids\": [\n \"9d2f19e2-2366-46bd-8963-869c340f723a:film\"\n ],\n \"format\": \"mp4\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.motion.so/api/motion/projects/{id}/exports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"composition_ids\": [\n \"9d2f19e2-2366-46bd-8963-869c340f723a:film\"\n ],\n \"format\": \"mp4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/projects/{id}/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"composition_ids\": [\n \"9d2f19e2-2366-46bd-8963-869c340f723a:film\"\n ],\n \"format\": \"mp4\"\n}"
response = http.request(request)
puts response.read_body{
"exports": [
{
"generation_id": "9d2f19e2-2366-46bd-8963-869c340f723a",
"id": "46ed7444-a055-462b-9c17-0a2cdd5ca393",
"project_id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"format": "mp4",
"created_at": "2026-11-17T20:00:00Z",
"status": "preparing",
"progress": 0,
"stage": "preparing",
"warnings": [],
"error": null,
"download_url": null,
"expires_at": null,
"origin": "api",
"created_by": "bfa220bc-731d-4d9a-a6bf-e7da483f52ca",
"created_by_you": true,
"composition_ids": [
"9d2f19e2-2366-46bd-8963-869c340f723a:film"
],
"turn_id": "e8c3af4c-4f37-46b7-8b0d-53b09a67d6cb"
}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Authorizations
MotionApiKeyMotionOAuth
Body
application/json
Was this page helpful?